uk.gov.hmrc.ct

# CATO13

###
Related Docs: class CATO13 | package ct

#### object CATO13 extends Calculated[CATO13, ComputationsBoxRetriever] with NetProfitsChargeableToCtWithoutDonationsCalculator with Serializable

Linear Supertypes
Serializable, Serializable, NetProfitsChargeableToCtWithoutDonationsCalculator, CtTypeConverters, Calculated[CATO13, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CATO13
2. Serializable
3. Serializable
4. NetProfitsChargeableToCtWithoutDonationsCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: ComputationsBoxRetriever): CATO13

   Definition Classes
     CATO13 → Calculated

6. #### def calculateNetProfitsChargeableToCtWithoutDonations(cp293: CP293, cp294: CP294, cp997: CP997Abstract): CATO13

   Definition Classes
     NetProfitsChargeableToCtWithoutDonationsCalculator

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

   Definition Classes
     CtTypeConverters

9. #### implicit def convert(catoInt: CtOptionalInteger): Int

   Definition Classes
     CtTypeConverters

10. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

11. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

12. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from NetProfitsChargeableToCtWithoutDonationsCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CATO13, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped